package com.sw.mes.yb.turnstore.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.turnstore.entity.TurnstoreInItem;

import java.util.List;
import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface TurnstoreInItemService extends BaseService<TurnstoreInItem> {
    List<TurnstoreInItem> getItemsByOrderNo(String orderNo);

    List<TurnstoreInItem> getItemsBySectionNoAndType(String sectionNo, String type);

    List<TurnstoreInItem> getItemsByInId(Integer inId);

    List<Map<String, Object>> getStaticIn(String sDate, String eDate, String type);

    TurnstoreInItem getLastByTypeAndStateAndSectionNoOrderByIdDesc(String type, String state, String sectionNo);

    Boolean getIsReturnRecordBySectionNoList(List<String> sectionNo, String purpose);

    TurnstoreInItem findOneBySectionNo(String sectionNo);

}
